import type { _NSAttributedString } from "../Foundation/NSAttributedString.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _NSImage } from "./NSImage.js";
export declare class _NSPathControlItem extends _NSObject {
    static alloc(): _NSPathControlItem;
    static new(): _NSPathControlItem;
    init(): _NSPathControlItem;
    /** The title of the path item. */
    title(): _NSString;
    setTitle$(value: _NSString): void;
    attributedTitle(): _NSAttributedString;
    setAttributedTitle$(value: _NSAttributedString): void;
    /**
     * The image/icon shown for this particular component along the path. The NSPathControlItem can display both an image and title. When drawing, your image will be scaled to fit the available area, which in 10.10 and earlier releases is 16x16 points for NSPathStyleStandard or NSPathStylePopUp, and 14x14 points for NSPathStyleNavigationBar.
     */
    image(): _NSImage | null;
    setImage$(value: _NSImage | null): void;
    /** A url for the partial path from the beginning up to this particular item. */
    URL(): _NSURL | null;
}
